// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package accounting

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// AccountingClient is the client API for Accounting service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type AccountingClient interface {
	// CreateBooking is provided with a booking, containing one or more positions and returns a booking and a error
	// message which might be empty. The format of the error message is defined below.
	CreateBooking(ctx context.Context, in *CreateBookingRequest, opts ...grpc.CallOption) (*CreateBookingResponse, error)
	// ListAccounts returns a paginated list of all accounts in the general ledger used by the organisation
	ListAccounts(ctx context.Context, in *ListAccountsRequest, opts ...grpc.CallOption) (*ListAccountsResponse, error)
	// ListCenters returns a paginated list of all cost and profit centers in the accounting system. For the ease of use
	// they are referred to as "centers"
	ListCenters(ctx context.Context, in *ListCentersRequest, opts ...grpc.CallOption) (*ListCentersResponse, error)
	// ListVATInfos provides the source of truth for the information on VAT. It returns a list of all VAT codes, the
	// associated values and the expiration time.
	// If you are calculating the VAT for a sale, pick the VAT which is before your sale and has the LEAST difference of the
	// date of the sale of the item.
	ListVATInfos(ctx context.Context, in *emptypb.Empty, opts ...grpc.CallOption) (*ListVATInfosResponse, error)
	// ListBookings returns a paginated list of all bookings. You can use this to create a file containing all open
	// bookings which can be read into your accounting software.
	ListBookings(ctx context.Context, in *ListBookingsRequest, opts ...grpc.CallOption) (*ListBookingsResponse, error)
	// ListSuppliers returns the list of suppliers according to the provided filter
	ListSuppliers(ctx context.Context, in *ListSuppliersRequest, opts ...grpc.CallOption) (*ListSuppliersResponse, error)
	// ListAuditLog returns a paginated list containing messages of the audit log. This log can be used to find out about
	// actions happening with orders.
	// The audit log is only additive. Entries cannot be deleted from the audit log.
	ListAuditLog(ctx context.Context, in *ListAuditLogRequest, opts ...grpc.CallOption) (*ListAuditLogResponse, error)
	// CreateSupplierInvoice creates an invoice for a specified supplier
	CreateSupplierInvoice(ctx context.Context, in *CreateSupplierInvoiceRequest, opts ...grpc.CallOption) (*CreateSupplierInvoiceResponse, error)
	// CreateCustomerInvoice creates an invoice for a specified customer.
	CreateCustomerInvoice(ctx context.Context, in *CreateCustomerInvoiceRequest, opts ...grpc.CallOption) (*emptypb.Empty, error)
	// ConfirmBookings allow confirmation of manual bookings
	ConfirmBookings(ctx context.Context, in *ConfirmBookingsRequest, opts ...grpc.CallOption) (*emptypb.Empty, error)
	// CreateSupplier creates a supplier in accounting system
	CreateSupplier(ctx context.Context, in *CreateSupplierRequest, opts ...grpc.CallOption) (*CreateSupplierResponse, error)
	// UpdateSupplier updates a supplier (Lieferant) in accounting system, a supplier can be specified by
	// an internal ID that is managed by the accounting system
	UpdateSupplier(ctx context.Context, in *UpdateSupplierRequest, opts ...grpc.CallOption) (*UpdateSupplierResponse, error)
	// GetSupplier returns a supplier with an internal ID
	GetSupplier(ctx context.Context, in *GetSupplierRequest, opts ...grpc.CallOption) (*Supplier, error)
	// QuerySupplierInvoice returns the status of a supplier invoice
	QuerySupplierInvoice(ctx context.Context, in *QuerySupplierInvoiceRequest, opts ...grpc.CallOption) (*QuerySupplierInvoiceResponse, error)
}

type accountingClient struct {
	cc grpc.ClientConnInterface
}

func NewAccountingClient(cc grpc.ClientConnInterface) AccountingClient {
	return &accountingClient{cc}
}

func (c *accountingClient) CreateBooking(ctx context.Context, in *CreateBookingRequest, opts ...grpc.CallOption) (*CreateBookingResponse, error) {
	out := new(CreateBookingResponse)
	err := c.cc.Invoke(ctx, "/sip.accounting.Accounting/CreateBooking", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *accountingClient) ListAccounts(ctx context.Context, in *ListAccountsRequest, opts ...grpc.CallOption) (*ListAccountsResponse, error) {
	out := new(ListAccountsResponse)
	err := c.cc.Invoke(ctx, "/sip.accounting.Accounting/ListAccounts", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *accountingClient) ListCenters(ctx context.Context, in *ListCentersRequest, opts ...grpc.CallOption) (*ListCentersResponse, error) {
	out := new(ListCentersResponse)
	err := c.cc.Invoke(ctx, "/sip.accounting.Accounting/ListCenters", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *accountingClient) ListVATInfos(ctx context.Context, in *emptypb.Empty, opts ...grpc.CallOption) (*ListVATInfosResponse, error) {
	out := new(ListVATInfosResponse)
	err := c.cc.Invoke(ctx, "/sip.accounting.Accounting/ListVATInfos", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *accountingClient) ListBookings(ctx context.Context, in *ListBookingsRequest, opts ...grpc.CallOption) (*ListBookingsResponse, error) {
	out := new(ListBookingsResponse)
	err := c.cc.Invoke(ctx, "/sip.accounting.Accounting/ListBookings", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *accountingClient) ListSuppliers(ctx context.Context, in *ListSuppliersRequest, opts ...grpc.CallOption) (*ListSuppliersResponse, error) {
	out := new(ListSuppliersResponse)
	err := c.cc.Invoke(ctx, "/sip.accounting.Accounting/ListSuppliers", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *accountingClient) ListAuditLog(ctx context.Context, in *ListAuditLogRequest, opts ...grpc.CallOption) (*ListAuditLogResponse, error) {
	out := new(ListAuditLogResponse)
	err := c.cc.Invoke(ctx, "/sip.accounting.Accounting/ListAuditLog", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *accountingClient) CreateSupplierInvoice(ctx context.Context, in *CreateSupplierInvoiceRequest, opts ...grpc.CallOption) (*CreateSupplierInvoiceResponse, error) {
	out := new(CreateSupplierInvoiceResponse)
	err := c.cc.Invoke(ctx, "/sip.accounting.Accounting/CreateSupplierInvoice", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *accountingClient) CreateCustomerInvoice(ctx context.Context, in *CreateCustomerInvoiceRequest, opts ...grpc.CallOption) (*emptypb.Empty, error) {
	out := new(emptypb.Empty)
	err := c.cc.Invoke(ctx, "/sip.accounting.Accounting/CreateCustomerInvoice", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *accountingClient) ConfirmBookings(ctx context.Context, in *ConfirmBookingsRequest, opts ...grpc.CallOption) (*emptypb.Empty, error) {
	out := new(emptypb.Empty)
	err := c.cc.Invoke(ctx, "/sip.accounting.Accounting/ConfirmBookings", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *accountingClient) CreateSupplier(ctx context.Context, in *CreateSupplierRequest, opts ...grpc.CallOption) (*CreateSupplierResponse, error) {
	out := new(CreateSupplierResponse)
	err := c.cc.Invoke(ctx, "/sip.accounting.Accounting/CreateSupplier", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *accountingClient) UpdateSupplier(ctx context.Context, in *UpdateSupplierRequest, opts ...grpc.CallOption) (*UpdateSupplierResponse, error) {
	out := new(UpdateSupplierResponse)
	err := c.cc.Invoke(ctx, "/sip.accounting.Accounting/UpdateSupplier", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *accountingClient) GetSupplier(ctx context.Context, in *GetSupplierRequest, opts ...grpc.CallOption) (*Supplier, error) {
	out := new(Supplier)
	err := c.cc.Invoke(ctx, "/sip.accounting.Accounting/GetSupplier", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *accountingClient) QuerySupplierInvoice(ctx context.Context, in *QuerySupplierInvoiceRequest, opts ...grpc.CallOption) (*QuerySupplierInvoiceResponse, error) {
	out := new(QuerySupplierInvoiceResponse)
	err := c.cc.Invoke(ctx, "/sip.accounting.Accounting/QuerySupplierInvoice", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// AccountingServer is the server API for Accounting service.
// All implementations must embed UnimplementedAccountingServer
// for forward compatibility
type AccountingServer interface {
	// CreateBooking is provided with a booking, containing one or more positions and returns a booking and a error
	// message which might be empty. The format of the error message is defined below.
	CreateBooking(context.Context, *CreateBookingRequest) (*CreateBookingResponse, error)
	// ListAccounts returns a paginated list of all accounts in the general ledger used by the organisation
	ListAccounts(context.Context, *ListAccountsRequest) (*ListAccountsResponse, error)
	// ListCenters returns a paginated list of all cost and profit centers in the accounting system. For the ease of use
	// they are referred to as "centers"
	ListCenters(context.Context, *ListCentersRequest) (*ListCentersResponse, error)
	// ListVATInfos provides the source of truth for the information on VAT. It returns a list of all VAT codes, the
	// associated values and the expiration time.
	// If you are calculating the VAT for a sale, pick the VAT which is before your sale and has the LEAST difference of the
	// date of the sale of the item.
	ListVATInfos(context.Context, *emptypb.Empty) (*ListVATInfosResponse, error)
	// ListBookings returns a paginated list of all bookings. You can use this to create a file containing all open
	// bookings which can be read into your accounting software.
	ListBookings(context.Context, *ListBookingsRequest) (*ListBookingsResponse, error)
	// ListSuppliers returns the list of suppliers according to the provided filter
	ListSuppliers(context.Context, *ListSuppliersRequest) (*ListSuppliersResponse, error)
	// ListAuditLog returns a paginated list containing messages of the audit log. This log can be used to find out about
	// actions happening with orders.
	// The audit log is only additive. Entries cannot be deleted from the audit log.
	ListAuditLog(context.Context, *ListAuditLogRequest) (*ListAuditLogResponse, error)
	// CreateSupplierInvoice creates an invoice for a specified supplier
	CreateSupplierInvoice(context.Context, *CreateSupplierInvoiceRequest) (*CreateSupplierInvoiceResponse, error)
	// CreateCustomerInvoice creates an invoice for a specified customer.
	CreateCustomerInvoice(context.Context, *CreateCustomerInvoiceRequest) (*emptypb.Empty, error)
	// ConfirmBookings allow confirmation of manual bookings
	ConfirmBookings(context.Context, *ConfirmBookingsRequest) (*emptypb.Empty, error)
	// CreateSupplier creates a supplier in accounting system
	CreateSupplier(context.Context, *CreateSupplierRequest) (*CreateSupplierResponse, error)
	// UpdateSupplier updates a supplier (Lieferant) in accounting system, a supplier can be specified by
	// an internal ID that is managed by the accounting system
	UpdateSupplier(context.Context, *UpdateSupplierRequest) (*UpdateSupplierResponse, error)
	// GetSupplier returns a supplier with an internal ID
	GetSupplier(context.Context, *GetSupplierRequest) (*Supplier, error)
	// QuerySupplierInvoice returns the status of a supplier invoice
	QuerySupplierInvoice(context.Context, *QuerySupplierInvoiceRequest) (*QuerySupplierInvoiceResponse, error)
	mustEmbedUnimplementedAccountingServer()
}

// UnimplementedAccountingServer must be embedded to have forward compatible implementations.
type UnimplementedAccountingServer struct {
}

func (UnimplementedAccountingServer) CreateBooking(context.Context, *CreateBookingRequest) (*CreateBookingResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateBooking not implemented")
}
func (UnimplementedAccountingServer) ListAccounts(context.Context, *ListAccountsRequest) (*ListAccountsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListAccounts not implemented")
}
func (UnimplementedAccountingServer) ListCenters(context.Context, *ListCentersRequest) (*ListCentersResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListCenters not implemented")
}
func (UnimplementedAccountingServer) ListVATInfos(context.Context, *emptypb.Empty) (*ListVATInfosResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListVATInfos not implemented")
}
func (UnimplementedAccountingServer) ListBookings(context.Context, *ListBookingsRequest) (*ListBookingsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListBookings not implemented")
}
func (UnimplementedAccountingServer) ListSuppliers(context.Context, *ListSuppliersRequest) (*ListSuppliersResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListSuppliers not implemented")
}
func (UnimplementedAccountingServer) ListAuditLog(context.Context, *ListAuditLogRequest) (*ListAuditLogResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListAuditLog not implemented")
}
func (UnimplementedAccountingServer) CreateSupplierInvoice(context.Context, *CreateSupplierInvoiceRequest) (*CreateSupplierInvoiceResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateSupplierInvoice not implemented")
}
func (UnimplementedAccountingServer) CreateCustomerInvoice(context.Context, *CreateCustomerInvoiceRequest) (*emptypb.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateCustomerInvoice not implemented")
}
func (UnimplementedAccountingServer) ConfirmBookings(context.Context, *ConfirmBookingsRequest) (*emptypb.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ConfirmBookings not implemented")
}
func (UnimplementedAccountingServer) CreateSupplier(context.Context, *CreateSupplierRequest) (*CreateSupplierResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateSupplier not implemented")
}
func (UnimplementedAccountingServer) UpdateSupplier(context.Context, *UpdateSupplierRequest) (*UpdateSupplierResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateSupplier not implemented")
}
func (UnimplementedAccountingServer) GetSupplier(context.Context, *GetSupplierRequest) (*Supplier, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetSupplier not implemented")
}
func (UnimplementedAccountingServer) QuerySupplierInvoice(context.Context, *QuerySupplierInvoiceRequest) (*QuerySupplierInvoiceResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method QuerySupplierInvoice not implemented")
}
func (UnimplementedAccountingServer) mustEmbedUnimplementedAccountingServer() {}

// UnsafeAccountingServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to AccountingServer will
// result in compilation errors.
type UnsafeAccountingServer interface {
	mustEmbedUnimplementedAccountingServer()
}

func RegisterAccountingServer(s grpc.ServiceRegistrar, srv AccountingServer) {
	s.RegisterService(&Accounting_ServiceDesc, srv)
}

func _Accounting_CreateBooking_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateBookingRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AccountingServer).CreateBooking(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/sip.accounting.Accounting/CreateBooking",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AccountingServer).CreateBooking(ctx, req.(*CreateBookingRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Accounting_ListAccounts_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListAccountsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AccountingServer).ListAccounts(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/sip.accounting.Accounting/ListAccounts",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AccountingServer).ListAccounts(ctx, req.(*ListAccountsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Accounting_ListCenters_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListCentersRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AccountingServer).ListCenters(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/sip.accounting.Accounting/ListCenters",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AccountingServer).ListCenters(ctx, req.(*ListCentersRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Accounting_ListVATInfos_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(emptypb.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AccountingServer).ListVATInfos(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/sip.accounting.Accounting/ListVATInfos",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AccountingServer).ListVATInfos(ctx, req.(*emptypb.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _Accounting_ListBookings_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListBookingsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AccountingServer).ListBookings(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/sip.accounting.Accounting/ListBookings",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AccountingServer).ListBookings(ctx, req.(*ListBookingsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Accounting_ListSuppliers_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListSuppliersRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AccountingServer).ListSuppliers(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/sip.accounting.Accounting/ListSuppliers",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AccountingServer).ListSuppliers(ctx, req.(*ListSuppliersRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Accounting_ListAuditLog_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListAuditLogRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AccountingServer).ListAuditLog(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/sip.accounting.Accounting/ListAuditLog",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AccountingServer).ListAuditLog(ctx, req.(*ListAuditLogRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Accounting_CreateSupplierInvoice_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateSupplierInvoiceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AccountingServer).CreateSupplierInvoice(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/sip.accounting.Accounting/CreateSupplierInvoice",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AccountingServer).CreateSupplierInvoice(ctx, req.(*CreateSupplierInvoiceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Accounting_CreateCustomerInvoice_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateCustomerInvoiceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AccountingServer).CreateCustomerInvoice(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/sip.accounting.Accounting/CreateCustomerInvoice",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AccountingServer).CreateCustomerInvoice(ctx, req.(*CreateCustomerInvoiceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Accounting_ConfirmBookings_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ConfirmBookingsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AccountingServer).ConfirmBookings(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/sip.accounting.Accounting/ConfirmBookings",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AccountingServer).ConfirmBookings(ctx, req.(*ConfirmBookingsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Accounting_CreateSupplier_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateSupplierRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AccountingServer).CreateSupplier(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/sip.accounting.Accounting/CreateSupplier",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AccountingServer).CreateSupplier(ctx, req.(*CreateSupplierRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Accounting_UpdateSupplier_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateSupplierRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AccountingServer).UpdateSupplier(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/sip.accounting.Accounting/UpdateSupplier",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AccountingServer).UpdateSupplier(ctx, req.(*UpdateSupplierRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Accounting_GetSupplier_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetSupplierRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AccountingServer).GetSupplier(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/sip.accounting.Accounting/GetSupplier",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AccountingServer).GetSupplier(ctx, req.(*GetSupplierRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Accounting_QuerySupplierInvoice_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QuerySupplierInvoiceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AccountingServer).QuerySupplierInvoice(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/sip.accounting.Accounting/QuerySupplierInvoice",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AccountingServer).QuerySupplierInvoice(ctx, req.(*QuerySupplierInvoiceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// Accounting_ServiceDesc is the grpc.ServiceDesc for Accounting service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var Accounting_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "sip.accounting.Accounting",
	HandlerType: (*AccountingServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "CreateBooking",
			Handler:    _Accounting_CreateBooking_Handler,
		},
		{
			MethodName: "ListAccounts",
			Handler:    _Accounting_ListAccounts_Handler,
		},
		{
			MethodName: "ListCenters",
			Handler:    _Accounting_ListCenters_Handler,
		},
		{
			MethodName: "ListVATInfos",
			Handler:    _Accounting_ListVATInfos_Handler,
		},
		{
			MethodName: "ListBookings",
			Handler:    _Accounting_ListBookings_Handler,
		},
		{
			MethodName: "ListSuppliers",
			Handler:    _Accounting_ListSuppliers_Handler,
		},
		{
			MethodName: "ListAuditLog",
			Handler:    _Accounting_ListAuditLog_Handler,
		},
		{
			MethodName: "CreateSupplierInvoice",
			Handler:    _Accounting_CreateSupplierInvoice_Handler,
		},
		{
			MethodName: "CreateCustomerInvoice",
			Handler:    _Accounting_CreateCustomerInvoice_Handler,
		},
		{
			MethodName: "ConfirmBookings",
			Handler:    _Accounting_ConfirmBookings_Handler,
		},
		{
			MethodName: "CreateSupplier",
			Handler:    _Accounting_CreateSupplier_Handler,
		},
		{
			MethodName: "UpdateSupplier",
			Handler:    _Accounting_UpdateSupplier_Handler,
		},
		{
			MethodName: "GetSupplier",
			Handler:    _Accounting_GetSupplier_Handler,
		},
		{
			MethodName: "QuerySupplierInvoice",
			Handler:    _Accounting_QuerySupplierInvoice_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "sip/accounting/accounting.proto",
}
